import {defineStore} from "pinia";
import storage from "@/utils/storage";
import platform from "@/utils/platform";
import {getSystemDeviceInfo} from "@/utils/getSystemDeviceInfo";
import {FileStorage} from "@/utils/fileStorage";
import {confirmModal, showToast} from "@/utils/app";
import * as dayjs from "@/utils/dayjs";
import {logs} from "@/utils/util";
import {calcStrHash} from "@/utils/machine/function";

const configUrl = '/storage/emulated/0/.TXZNMac.txt'
const fileStorage = new FileStorage()

export const useMachineStore = defineStore('machine', {
  state: () => ({
    scan: false,
    bmi: false,
  }),
  getters: {},
  actions: {

    setStatus(key, up) {
      console.log('setStatus', key, up)
      this[key] = up
    },

  }
})
